/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *\
 * This is GNU GO, a Go program. Contact gnugo@gnu.org, or see   *
 * http://www.gnu.org/software/gnugo/ for more information.      *
 *                                                               *
 * Copyright 1999 by the Free Software Foundation.               *
 *                                                               *
 * This program is free software; you can redistribute it and/or *
 * modify it under the terms of the GNU General Public License   *
 * as published by the Free Software Foundation - version 2.     *
 *                                                               *
 * This program is distributed in the hope that it will be       *
 * useful, but WITHOUT ANY WARRANTY; without even the implied    *
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR       *
 * PURPOSE.  See the GNU General Public License in file COPYING  *
 * for more details.                                             *
 *                                                               *
 * You should have received a copy of the GNU General Public     *
 * License along with this program; if not, write to the Free    *
 * Software Foundation, Inc., 59 Temple Place - Suite 330,       *
 * Boston, MA 02111, USA                                         *
\* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */


/* values for move_reason.type */
#define ATTACK_MOVE   1
#define DEFEND_MOVE   2
#define CONNECT_MOVE  3
#define CUT_MOVE      4
#define ANTISUJI_MOVE 5
#define SEMEAI_MOVE   6

#define MAX_REASONS 40

struct move_reason {
  int type;   /* e.g. attack, defend, or connect */
  int what;   /* pointer into list of strings, list of pair of dragons,
		 or similar */
};

struct move_data {
  int value;    /* old-style move value, computed at the very end */
  float territorial_value; /* Value in terms of actual profit. */
  float influence_value;   /* Value from thickness and moyo. */
  float strategical_value; /* Value with respect to strength, weakness, and
			      safety of all groups on the board. */
  int shape_value; /* Value based purely on local shape. */
  int reason[MAX_REASONS]; /* List of reasons for a move. */
};



/*
 * Local Variables:
 * tab-width: 8
 * c-basic-offset: 2
 * End:
 */

